MemoryMapArrayHeader Class Reference
Inheritance diagram for MemoryMapArrayHeader:
[legend]

## Public Member Functions

void | constructorClear ()
void | debugPrint (FILE *)
size_t | getHeaderSize (int i)
void | setApplication (const char *s)
void | setCreationUser (const char *s)
void | setCreationHost (const char *s)

## Public Attributes

uint32_t | typeCookie
uint32_t | typeVersion
uint32_t | contentCookie
uint32_t | contentVersion
size_t | headerSize
time_t | creationDate
char | creationUser [32]
char | creationHost [32]
char | application [32]
size_t | elementCount

## Detailed Description

Definition at line 64 of file MemoryMapArray.h.

The documentation for this class was generated from the following files:

- general/MemoryMapArray.h
- general/MemoryMapArray.cpp